#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long L,R;
    double p,q,r;
    cin>>p>>q>>r>>L>>R;
    long long br;
    br=0;
    if(L%2==0){
        for(long long i=L;i<=R;i+=2){
        if(i>=(ceil(i/p))+(ceil(i/q))+(ceil(i/r)))
            br++;
        }
    }
    else{
        if(L>=(ceil(L/p))+(ceil(L/q))+(ceil(L/r)))
            br++;
        for(long long i=L+1;i<=R;i+=2){
            if(i>=(ceil(i/p))+(ceil(i/q))+(ceil(i/r)))
                br++;
        }
    }
    cout<<br;
}